# Poco::XML

# class XMLFilter

Library: XML
Package: SAX
Header: Poco/SAX/XMLFilter.h

## Description

Interface for an XML filter.

An XML filter is like an XML reader, except that it obtains its events from another XML reader rather than a primary source like an XML document or database. Filters can modify a stream of events as they pass on to the final application.

The XMLFilterImpl helper class provides a convenient base for creating SAX2 filters, by passing on all EntityResolver, DTDHandler, ContentHandler and ErrorHandler events automatically.

## Inheritance

Direct Base Classes: XMLReader

All Base Classes: XMLReader

Known Derived Classes: WhitespaceFilter, XMLFilterImpl

## Member Summary

Member Functions: getParent, setParent

Inherited Functions: getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parseMemoryNP, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty

## Destructor

### ~XMLFilter

virtual ~XMLFilter();

## Member Functions

### getParent

virtual XMLReader * getParent() const = 0;

Set the parent reader.

This method allows the application to link the filter to a parent reader (which may be another filter). The argument may not be null.

### setParent

virtual void setParent(
XMLReader * pParent
) = 0;

Get the parent reader.

This method allows the application to query the parent reader (which may be another filter). It is generally a bad idea to perform any operations on the parent reader directly: they should all pass through this filter.